<template lang="pug">
div
  template(v-if="!error")
    .fa.fa-spinner.fa-pulse(v-if="loading")
    a(:href="href" v-if="href" v-show="!loading")
      img(:src="src" v-on:load="loading=false" v-on:error="error=true")
    img(:src="src" v-on:load="loading=false" v-on:error="error=true" v-else)
  template(v-else)
    .fa.fa-times
</template>

<script>

import Anim from './BaseAnimation'

export default {
  props: [ 'src', 'href' ],
  data() {
    return { error: false, loading: true };
  },
  watch: {
    loading() {
      Anim.fadeIn(this.$el);
    }
  }
}
</script>

<style scoped>
</style>
